// Worthless Bums, 2014.

function createSceneWindow ()
{//echo("createSceneWindow()");
    if (!isObject(sceneWindow2D))
    {//echo("Creating new scene window!");
        new SceneWindow(sceneWindow2D);
        Canvas.setContent(sceneWindow2D);
    }
    sceneWindow2D.setCameraPosition(0, 0);
    sceneWindow2D.setCameraSize(100, 75);
    sceneWindow2D.setCameraZoom(1);
    sceneWindow2D.setCameraAngle(0);
}
function destroySceneWindow ()
{//echo("destroySceneWindow()");
    if (isObject(sceneWindow2D))
	{
		sceneWindow2D.delete();
	}
}